# norootforbuild

Name:				nvidia-vdpau-devel
Version:			185.13
Release:			15.7
Summary:			nVidia Video Decode and Presentation API for Unix
%define subdir NVIDIA-Linux-x86_64-%{version}-pkg1
Source:			ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/%{subdir}.run
URL:				http://http.download.nvidia.com/XFree86/vdpau/doxygen/html/index.html:q

Group:			Development/Libraries/C and C++
License:			BSD license (revised)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	sed
BuildArch:		noarch
%if 0%{?suse_version} >= 1020
Requires:		xorg-x11-libX11-devel
%else
Requires:		xorg-x11-devel
%endif

%description
The Video Decode and Presentation API for Unix (VDPAU) provides a complete
solution for decoding, post-processing, compositing, and displaying compressed
or uncompressed video streams. These video streams may be combined
(composited) with bitmap content, to implement OSDs and other application user
interfaces.

Note that this package only contains the VDPAU headers that are required to
build applications. At runtime, the shared libraries are needed too and may
be installed using the proprietary nVidia driver packages.




Authors:
--------
    nVidia Corporation <linux-bugs@nvidia.com>

%prep
%setup -q -T -c "%{name}-%{version}"
${SHELL-/bin/sh} "%{SOURCE0}" -x

%build

%install
%__install -d "%{buildroot}%{_includedir}"
%__cp -r "%{subdir}/usr/include/vdpau" "%{buildroot}%{_includedir}/"

%__sed -n '/\* *Copyright/,/\*\//p' "%{subdir}/usr/include/vdpau/vdpau.h" \
| %__sed 's/^ *\* *//;$d' > LICENSE

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc LICENSE
%{_includedir}/vdpau

%changelog
* Mon Jun 29 2009 Carsten Schoene <cs@linux-administrator.com> - 185.13-15
- inital import
